Get Domains
Retrieve a list of domains
Type of the domain
MANAGEMENT, VI
Name of the Domain
vCenter FQDN of the domain
vCenter Instance ID of the domain
Is domain joined to the Management domain SSO
Page number to retrieve
Size of the page to retrieve
Parameter to get domain details from cache
Ok
{
"elements": [
{
"id": "string",
"name": "string",
"orgName": "string",
"status": "One among: ACTIVE, ACTIVATING, UPGRADING, DISABLED, ERROR, SKIPPED, DEACTIVATING, EXPANDING, SHRINKING, CREATING",
"upgradeState": "One among: AVAILABLE, FAILED",
"upgradeStatus": {
"status": "One among: UP_TO_DATE, SCHEDULED, IN_PROGRESS, READY, AVAILABLE, BLOCKED",
"completedResources": 0,
"totalResources": 0
},
"type": "string",
"owners": [
"string"
],
"vcenters": [
{
"id": "string",
"fqdn": "string",
"vcInstanceId": "string"
}
],
"vspClusters": [
{
"id": "string",
"platformFqdn": "string",
"vspClusterId": "string",
"type": "string"
}
],
"ssoId": "string",
"ssoName": "string",
"isManagementSsoDomain": false,
"clusters": [
{
"id": "string",
"name": "string"
}
],
"nsxtCluster": {
"id": "string",
"vipFqdn": "string",
"vip": "string"
},
"licensingInfo": {
"licensingMode": "One among: SUBSCRIPTION, PERPETUAL, MIXED",
"subscriptionStatus": "One among: UNSUBSCRIBED, ACTIVE, EXPIRED",
"isRegistered": false,
"isSubscribed": false,
"daysRemainingToSubscribe": 0
},
"capacity": {
"cpu": {
"used": {
"value": "number",
"unit": "string"
},
"total": {
"value": "number",
"unit": "string"
},
"numberOfCores": 0,
"numberOfCPUPackages": 0
},
"memory": {
"used": {
"value": "number",
"unit": "string"
},
"total": {
"value": "number",
"unit": "string"
}
},
"storage": {
"used": {
"value": "number",
"unit": "string"
},
"total": {
"value": "number",
"unit": "string"
}
}
},
"tags": [
{
"id": "string",
"name": "string",
"categoryId": "string",
"categoryName": "string"
}
],
"elmStatus": "One among: ISOLATED, IN_TRANSIT, LINKED",
"lifecycleManagementMode": "One among: IMAGES, BASELINES, BASELINES_AND_IMAGES",
"isNetworkSeparationEnabled": false,
"isSecurityEnabled": false,
"isPrimaryDomainForNsx": false,
"dnsServers": [
"string"
],
"ntpServers": [
"string"
],
"hcxManagers": [
{
"id": "string",
"fqdn": "string",
"instanceId": "string"
}
],
"albCluster": {
"id": "string",
"fqdn": "string"
}
}
],
"pageMetadata": {
"pageNumber": 0,
"pageSize": 0,
"totalElements": 0,
"totalPages": 0
}
}
The list of elements included in this page
Represents pageable elements pagination metadata
Bad Request
{
"errorCode": "string",
"errorType": "string",
"arguments": [
"string"
],
"context": {
"context": "string"
},
"notifications": [
{
"severity": "string",
"message": "string",
"remediations": [
{
"message": "string",
"link": "string"
}
],
"impactMessage": "string"
}
],
"message": "string",
"remediationMessage": "string",
"causes": [
{
"type": "string",
"message": "string"
}
],
"nestedErrors": [
{
"errorCode": "string",
"errorType": "string",
"arguments": [
"string"
],
"context": {
"context": "string"
},
"notifications": [
{
"severity": "string",
"message": "string",
"remediations": [
{
"message": "string",
"link": "string"
}
],
"impactMessage": "string"
}
],
"message": "string",
"remediationMessage": "string",
"causes": [
{
"type": "string",
"message": "string"
}
],
"nestedErrors": [
"Error Object"
],
"referenceToken": "string",
"label": "string",
"remediationUrl": "string"
}
],
"referenceToken": "string",
"label": "string",
"remediationUrl": "string"
}
The minor error code
The error type
The arguments used to localize the message, Can be used by scripts to automate the error processing.
The error context (e.g. the component where it occurred).
Detailed results of the precheck validation.
The localized error message
The localized remediation error message
The underlying cause exceptions.
The nested errors when the error is a composite one
A reference token correlating the error with the relevant detailed error logs. Should be sent to the service provider when reporting issues.
The localized label message
The URL string for remediation documentation link
InternalServerError
"Error Object"
The minor error code
The error type
The arguments used to localize the message, Can be used by scripts to automate the error processing.
The error context (e.g. the component where it occurred).
Detailed results of the precheck validation.
The localized error message
The localized remediation error message
The underlying cause exceptions.
A reference token correlating the error with the relevant detailed error logs. Should be sent to the service provider when reporting issues.
The localized label message
The URL string for remediation documentation link
curl -H 'Authorization: <value>' https://{api_host}/v1/domains